.carousel-item{
    width: 100%; /*width you want*/
    height: 302px; /*height you want*/
    overflow: hidden;
}

.carousel-item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.carousel-control {
    width: 50% !important;
    height: 32px;
    background-color: $primary-bg-color;
    opacity: unset !important;
    top: unset;
    bottom: 0 !important;
    transition: background-color 0.3s ease-in;

    &:hover {
        background-color: $primary-color;
    }

    .carousel-control-icon {
        width: 11px !important;
        height: 13px !important;
    }
}

.carousel-text-wrapper{
    width: 92%;
    height: 212px;
    background-color: #2a2a2a7a;
    top: 9.6%;
    left: 4%;

    .inner-text-container {
        height: 100%;
    }

    // .inner-text-wrapper {
    //     height: 25%;
    // }
}

.top-slider__heading {
    font-size: 36px;
    font-weight: 600;
    margin-bottom: 10px;
}

.top-slider__sub-heading {
    font-size: 18px;
    margin: 0;
}

.top-slider__text {
    text-transform: uppercase;
    color: white;
    opacity: 1;
}

.top-slider__shop-now {
    width: 136px;
    height: 54px;
    background-color: white;
    color: $primary-bg-color;
    text-transform: uppercase;
    font-weight: 500;
    border-radius: 5px;
    border: none;

    &:hover {
        background-color: $primary-color;
        color: white;
        outline: none;
    }
}

@media (max-width: 479px){
    .carousel-item{
        height: 195px; /*height you want*/
    }

    .carousel-text-wrapper{
        height: 70%;
    }

    .top-slider__heading {
        font-size: 20px;
    }
    
    .top-slider__sub-heading {
        font-size: 11px;
    }

    .top-slider__shop-now {
        width: 32.5%;
        height: 25.5%;
        font-size: 10px;
    }
}

@media (min-width: 576px){
    .carousel-item{
        height: 343px; /*height you want*/
    }

    .carousel-text-wrapper{
        top: 15.6%;
        height: 214px;
    }
}

@media (min-width: 768px){
    .carousel-item{
        height: 505px; /*height you want*/
    }

    .carousel-text-wrapper{
        width: 100%;
        left: unset;
        top: 145px;
    }

    .inner-text-container {
        position: relative;

        .top-slider__shop-now {
            position: absolute;
            bottom: -25px;
        }
    }

    .top-slider__heading {
        font-size: 54px;

        span {
            font-weight: 300;
        }
    }
    
    .top-slider__sub-heading {
        font-size: 24px;
    }

    .carousel-control {
        height: 39px;
    }
}